Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category:

Target version: 2.1.0-2231-testing

gvSIG version: 21.0 Add-on resolve version:
Keywords: Add-on resolve build:

Has patch: Proyecto:

Add-on name: Unknown Hito:

Add-on version:

Description

Hay casos en los que se carga, desde un shape por ejemplo, una geometria que no es valida. Por ejemplo por que se trata de un
poligono con hucos y estos no esten dentro del poligono (hay mas casos de geometrias no validas).
Habria que afadir un metodo que nos permitiese comprobar si una geometrias es valida o no.

History

#1 - 06/29/2014 06:30 PM - Joaquin del Cerro Murciano
- Status changed from New to Fixed

He afadido el metodo isValid que devuelbe true/false y el metodo getValidationStatus que devuelbe una estructura con informacion de porque no es

valida y de en que parte de la geometria se puede localizar el problema.

r41439, r41440

#2 - 06/29/2014 10:44 PM - Joaquin del Cerro Murciano

- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2231-testing

#3 - 07/02/2014 04:41 AM - Alvaro Anguix

- Status changed from Fixed to Closed
